package com.xinelu.manage.mapper.schedule;

import com.xinelu.manage.domain.schedule.Schedule;
import java.util.List;

/**
* @author haown
* @description 针对表【schedule(排班班次表)】的数据库操作Mapper
* @createDate 2023-09-22 09:43:30
* @Entity com.xinelu.manage.domain.schedule.Schedule
*/
public interface ScheduleMapper {

    int deleteByPrimaryKey(Long id);

    int insert(Schedule record);

    int insertSelective(Schedule record);

    Schedule selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(Schedule record);

    int updateByPrimaryKey(Schedule record);

	List<Schedule> getList(Schedule schedule);

}
